package earth.krakatao;

import java.math.BigInteger;
import java.util.UUID;

public class Formatter {
  
  public static String formatUuid(UUID uuid) {
    return uuid.toString().replaceAll("-", "");
  }

  public static UUID stringToUuid(String s) {
    BigInteger bigInteger = new BigInteger(s.substring(0, 16), 16);
    BigInteger bigInteger1 = new BigInteger(s.substring(16, 32), 16);

    return new UUID(bigInteger.longValue(), bigInteger1.longValue());
  }
}
